#!/bin/sh
# --------------------------------- IMPORTANT ----------------------------------
# We Will NOT override any of the Currenty Environment Variable

# -------------------- Set the Enviroment Variable -----------------------------
# It is assumed that this script is called at AUA_HOME/bin
cd ..
AUA_HOME=$PWD
cd ..
OBM_HOME=$PWD

# ---------------- Check and Set JVM Enviroment Variable -----------------------
cd $AUA_HOME

# OS specific support.  $var _must_ be set to either true or false.
case "`uname`" in
  Darwin*) if [ -z "$JAVA_HOME" ] ; then
             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
           fi
           ;;
esac

# Check if OBM_HOME has a jvm
if [ ! -e "$AUA_HOME/jvm" ]
then
{
  if [ -e "$OBM_HOME/jvm" ]
  then
    mkdir "$AUA_HOME/jvm"
    cp -r "$OBM_HOME/jvm/" "$AUA_HOME/jvm/"
    JAVA_HOME=$AUA_HOME/jvm
  elif [ ! -n "$JAVA_HOME" ]
  then
    echo "Please set the JAVA_HOME environment to the directory where J2SE JRE 1.4.x is installed !"
    exit 0
  fi
}
else
  JAVA_HOME=$AUA_HOME/jvm
fi

# Check if fake tools.jar exist, this is for ApacheANT
if [ ! -e "$JAVA_HOME/lib/tools.jar" ]
  then cp "$AUA_HOME/lib/tools.jar" "$JAVA_HOME/lib/tools.jar"
fi

# Check if JAVA_HOME has a AuaJW virtual machine
if [ ! -e "$JAVA_HOME/bin/AuaJW" ]
then
  cp "$JAVA_HOME/bin/java" "$JAVA_HOME/bin/AuaJW"
fi

# ----------------- Setup the IPC directory ------------------------------------
# Check if IPC directory exist
if [ ! -e "$AUA_HOME/ipc" ]
  then mkdir "$AUA_HOME/ipc"
fi
# Allow all clients to access the ipc directory
chmod 777 "$AUA_HOME/ipc"
if [ ! -e "$AUA_HOME/ipc/xmlchannel" ]
  then mkdir "$AUA_HOME/ipc/xmlchannel"
fi
# Allow all clients to access the xmlchannel
chmod 777 "$AUA_HOME/ipc/xmlchannel"

# ----------------- Setup the Config file permission ---------------------------
# Allow all clients to update the config file
chmod 777 "$AUA_HOME/config.xml"

# ----------------- Remove the last created Property file ----------------------
# Remove the last created local-machine.properties file
if [ -e "$AUA_HOME/builds/local-machine.properties" ]
  then rm "$AUA_HOME/builds/local-machine.properties"
fi

# ------------------- Update the local-machine.properties ----------------------
# For Each startup of the AutoUpdateAgent Server, create a new local-machine.properties file
ANT_HOME=$AUA_HOME/ant

# -------------------------- Build ANT Project ---------------------------------
"$ANT_HOME/bin/ant" --noconfig -quiet -buildfile "$AUA_HOME/builds/aua-check-properties.xml" &> /dev/null

